### Method

# ECal ComponentAlarmTrigger get_duration

since: 3.34

#### Declaration [src]

    ICalDuration*
    e_cal_component_alarm_trigger_get_duration (
      const ECalComponentAlarmTrigger* trigger
    )

#### Description [src]

Returns the `trigger` duration for a relative `trigger`, or `NULL`, when the `trigger` is an absolute trigger.

Available since: 3.34

#### Return value

Type: `None`

The `trigger` duration, as an `ICalDuration`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.